package am.lodge.platform.model;


import am.lodge.base.model.BaseModel;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.List;

@CrudBean(name = "admissions_source")
@Table(name = "buss_admissions_source")
public class AdmissionsSource extends BaseModel {
  private String name;
  private String parentId;
  private String describes;
  private Integer orderNum;
  private List sourceList;

  public List getSourceList() {
    return sourceList;
  }

  public void setSourceList(List sourceList) {
    this.sourceList = sourceList;
  }

  public String getName() {
    return name;
  }
  public void setName(String name) {
    this.name = name;
  }

@Column(name="PARENT_ID")
  public String getParentId() {
    return parentId;
  }
  public void setParentId(String parentId) {
    this.parentId = parentId;
  }

  public String getDescribes() {
    return describes;
  }
  public void setDescribes(String describes) {
    this.describes = describes;
  }


  @Column(name = "ORDER_NUM")
  public Integer getOrderNum() {
    return orderNum;
  }
  public void setOrderNum(Integer orderNum) {
    this.orderNum = orderNum;
  }
}
