package am.lodge.platform.model;

import am.lodge.base.model.BaseModel;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;

@CrudBean(name = "ConsultationRoom")
@Table(name = "hz_consulation_room")
public class ConsultationRoom extends BaseModel {
    private String id;
    private String roomName;
    private  String videoTerminalIp;
    private Boolean enable;
    private int orderCode;

    @Override
    public String getId() {
        return id;
    }

    @Override
    public void setId(String id) {
        this.id = id;
    }


    @Column(name = "ROOM_NAME")
    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    @Column(name = "VIDEO_TERMINAL_IP")
    public String getVideoTerminalIp() {
        return videoTerminalIp;
    }

    public void setVideoTerminalIp(String videoTerminalIp) {
        this.videoTerminalIp = videoTerminalIp;
    }

    @Column(name = "ENABLE")
    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    @Column(name = "ORDER_CODE")
    public int getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(int orderCode) {
        this.orderCode = orderCode;
    }
}
