package am.lodge.platform.model;

import am.lodge.base.model.BaseTreeModel;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;

@CrudBean(name = "dept")
@Table(name = "SYS_Dept")
public class Dept extends BaseTreeModel {
  private String id;
  private String orgId;
  private String name;
  private Boolean enabled;
  private Integer orderNum;
  private Integer type;


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  @Column(name = "ORG_ID")
  public String getOrgId() {
    return orgId;
  }

  public void setOrgId(String orgId) {
    this.orgId = orgId;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Boolean getEnabled() {
    return enabled;
  }

  public void setEnabled(Boolean enabled) {
    this.enabled = enabled;
  }

  @Column(name = "ORDER_NUM")
  public Integer getOrderNum() {
    return orderNum;
  }

  public void setOrderNum(Integer orderNum) {
    this.orderNum = orderNum;
  }

  public Integer getType() {
    return type;
  }

  public void setType(Integer type) {
    this.type = type;
  }
}
