package am.lodge.platform.model;

import am.lodge.base.model.BaseModel;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @Description: 编码明细类
 * @Author: gl
 * @CreateDate: 2018/7/11 10:34
 * @UpdateUser:
 * @UpdateDate: 2018/7/11 10:34
 * @UpdateRemark:
 * @Version: 1.0
 */

@CrudBean(name = "dictDetail")
@Table(name = "cd_dict_detail")
public class DictDetail extends BaseModel {

    private String headId;//编码头部id

    private String detailName;//编码明细名称

    private Integer sortCode;//编码明细排序序号

    @Column(name = "HEAD_ID")
    public String getHeadId() {
        return headId;
    }

    public void setHeadId(String headId) {
        this.headId = headId;
    }

    @Column(name = "DETAIL_NAME")
    public String getDetailName() {
        return detailName;
    }

    public void setDetailName(String detailName) {
        this.detailName = detailName;
    }

    @Column(name = "SORT_CODE")
    public Integer getSortCode() {
        return sortCode;
    }

    public void setSortCode(Integer sortCode) {
        this.sortCode = sortCode;
    }
}
