package am.lodge.platform.model;

import am.lodge.base.model.BaseModel;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.sql.Timestamp;

@CrudBean(name = "notice")
@Entity(name = "notice")
@Table(name = "md_notice")
public class Notice extends BaseModel {

  private String id;

  private String orgId;

  private String noticeTitle;

  private String noticeType;

  private String noticeContent;

  private String noticeTypeName;

  private Timestamp noticeDate;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  @Column(name = "ORG_ID")
  public String getOrgId() {
    return orgId;
  }

  public void setOrgId(String orgId) {
    this.orgId = orgId;
  }

  @Column(name = "NOTICE_TITLE")
  public String getNoticeTitle() {
    return noticeTitle;
  }

  public void setNoticeTitle(String noticeTitle) {
    this.noticeTitle = noticeTitle;
  }

  @Column(name = "NOTICE_TYPE")
  public String getNoticeType() {
    return noticeType;
  }

  public void setNoticeType(String noticeType) {
    this.noticeType = noticeType;
  }

  @Column(name = "NOTICE_CONTENT")
  public String getNoticeContent() {
    return noticeContent;
  }

  public void setNoticeContent(String noticeContent) {
    this.noticeContent = noticeContent;
  }

  public String getNoticeTypeName() {
    return noticeTypeName;
  }

  public void setNoticeTypeName(String noticeTypeName) {
    this.noticeTypeName = noticeTypeName;
  }

  @Column(name = "NOTICE_DATE")
  public Timestamp getNoticeDate() {
    if (noticeDate == null) {
      return new Timestamp(System.currentTimeMillis());
    }
    return noticeDate;
  }

  public void setNoticeDate(Timestamp noticeDate) {
    this.noticeDate = noticeDate;
  }
}
