package am.lodge.platform.model;
import am.lodge.base.model.BaseTreeModel;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@CrudBean(name = "org")
@Table(name = "SYS_ORG")
public class Org extends BaseTreeModel {

    private String id;
    private String regionId;
    private String code;
    private String name;
    private String orgTypes;
    private Date validBeginDate;
    private String parentId;
    private Date validEndDate;
    private Boolean enabled;
    private Boolean leaf= Boolean.TRUE;

    private String contractEmployee;
    private String contractTelephone;
    private Integer orderNum;

    private String orgTypesName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    @Column(name = "REGION_ID")
    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    @Column(name = "COMPANY_CODE")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "VALID_BEGIN_DATE")
    public Date getValidBeginDate() {
        return validBeginDate;
    }

    public void setValidBeginDate(Date validBeginDate) {
        this.validBeginDate = validBeginDate;
    }

    @Column(name = "VALID_END_DATE")
    public Date getValidEndDate() {
        return validEndDate;
    }

    public void setValidEndDate(Date validEndDate) {
        this.validEndDate = validEndDate;
    }

    @Column(name = "PARENT_ID")
    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    @Column(name = "CONTRACT_EMPLOYEE")
    public String getContractEmployee() {
        return contractEmployee;
    }

    public void setContractEmployee(String contractEmployee) {
        this.contractEmployee = contractEmployee;
    }
    @Column(name = "CONTRACT_TELEPHONE")
    public String getContractTelephone() {
        return contractTelephone;
    }

    public void setContractTelephone(String contractTelephone) {
        this.contractTelephone = contractTelephone;
    }

    public Boolean getLeaf() {
        return leaf;
    }
    public void setLeaf(Boolean leaf) {
        this.leaf = leaf;
    }


    public Boolean getEnabled() {
        return enabled;
    }
    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    @Column(name = "ORDER_NUM")
    public Integer getOrderNum() {
        return orderNum;
    }
    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    @Column(name = "ORG_TYPES")
    public String getOrgTypes() {
        return orgTypes;
    }

    public void setOrgTypes(String orgTypes) {
        this.orgTypes = orgTypes;
    }

    public String getOrgTypesName() {
        return orgTypesName;
    }

    public void setOrgTypesName(String orgTypesName) {
        this.orgTypesName = orgTypesName;
    }
}
