package am.lodge.platform.model;

import am.lodge.persistence.annotation.CrudBean;
import am.lodge.persistence.model.UUIDModel;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


@CrudBean(name = "orgPost")
@Entity(name = "orgPost")
@Table(name = "SYS_ORG_POST")
public class OrgPost extends UUIDModel {
    private String orgId;
    private String postCode;
    private String postName;
    private Boolean enabled=Boolean.TRUE;
    private String orgName;

    @Column(name = "ORG_ID")
    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    @Column(name = "POST_CODE")
    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    @Column(name = "POST_NAME")
    public String getPostName() {
        return postName;
    }

    public void setPostName(String postName) {
        this.postName = postName;
    }

    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
