package am.lodge.platform.model;

import am.lodge.persistence.annotation.CrudBean;
import am.lodge.persistence.model.TreeModel;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author zhangkun
 */
@CrudBean(name = "regionalism")
@Entity(name = "regionalism")
@Table(name = "CD_REGIONALISM")
public class Regionalism extends TreeModel {

  private String id;

  private String regionCode;

  private String regionName;

  private String fullName;

  private String parentId;

  private Integer sortCode;

  private Boolean status = Boolean.TRUE;

  private String remark;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  @Column(name = "REGION_CODE")
  public String getRegionCode() {
    return regionCode;
  }

  public void setRegionCode(String regionCode) {
    this.regionCode = regionCode;
  }

  @Column(name = "REGION_NAME")
  public String getRegionName() {
    return regionName;
  }

  public void setRegionName(String regionName) {
    this.regionName = regionName;
  }

  @Column(name = "FULL_NAME")
  public String getFullName() {
    return fullName;
  }

  public void setFullName(String fullName) {
    this.fullName = fullName;
  }

  @Column(name = "PARENT_ID")
  public String getParentId() {
    return parentId;
  }

  public void setParentId(String parentId) {
    this.parentId = parentId;
  }

  @Column(name = "SORT_CODE")
  public Integer getSortCode() {
    return sortCode;
  }

  public void setSortCode(Integer sortCode) {
    this.sortCode = sortCode;
  }

  @Column(name = "STATUS")
  public Boolean getStatus() {
    return status;
  }

  public void setStatus(Boolean status) {
    this.status = status;
  }

  @Column(name = "REGION_REMARK")
  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }

}