package am.lodge.platform.model;

import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author am
 */
@CrudBean(name = "roleUrlResource")
@Table(name = "sys_role_url_resource")
public class RoleUrlResource {
	private String roleId;

	private String urlResourceId;

	@Column(name = "ROLE_ID")
	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	@Column(name = "RESOURCE_ID")
	public String getUrlResourceId() {
		return urlResourceId;
	}

	public void setUrlResourceId(String urlResourceId) {
		this.urlResourceId = urlResourceId;
	}
}
