package am.lodge.platform.model;

import am.lodge.persistence.annotation.CrudBean;
import am.lodge.persistence.model.TreeModel;

import javax.persistence.Column;
import javax.persistence.Table;

/**appId
 * @author am
 */
@CrudBean(name = "url-resource")
@Table(name = "sys_url_resource")
public class UrlResource extends TreeModel {
  private String name;

  private String url;

  private String appId;

  private String imageUrl;

  private Boolean enabled;

  private Integer orderNum;

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getUrl() {
    return url;
  }

  public void setUrl(String url) {
    this.url = url;
  }

  public Boolean getEnabled() {
    return enabled;
  }

  public void setEnabled(Boolean enabled) {
    this.enabled = enabled;
  }

  @Column(name = "ORDER_NUM")
  public Integer getOrderNum() {
    return orderNum;
  }

  public void setOrderNum(Integer orderNum) {
    this.orderNum = orderNum;
  }

  @Column(name = "APP_ID")
  public String getAppId() {
    return appId;
  }

  public void setAppId(String appId) {
    this.appId = appId;
  }

  @Column(name = "IMAGE_URL")
  public String getImageUrl() {
    return imageUrl;
  }

  public void setImageUrl(String imageUrl) {
    this.imageUrl = imageUrl;
  }
}
