package am.lodge.platform.model;

import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author am
 */
@CrudBean(name = "useRole")
@Table(name = "sys_user_role")
public class UserRole {
	private String userId;

	private String roleId;

	@Column(name = "USER_ID")
	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	@Column(name = "ROLE_ID")
	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}
}
