package am.lodge.platform.model;

import am.lodge.base.model.BaseModel;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;
import java.math.BigDecimal;


@CrudBean(name = "Interfaces")
@Table(name = "hz_interfaces")
public class Interfaces extends BaseModel {
    /* 院区ID*/
    private String deptId;

    /* 接口名称*/
    private String interfacesName;

    /* 接口类型*/
    private String interfacesType;

    /* 接口地址*/
    private String url;

    /* 是否启用*/
    private Boolean use;

    /* 描述*/
    private String describes;
    /* 排序*/
    private int orderNum;

    /*关联校区*/
    private String orgId;

    private String deptName;

    @Column(name = "DEPT_ID")
    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    @Column(name = "INTERFACES_NAME")
    public String getInterfacesName() {
        return interfacesName;
    }

    public void setInterfacesName(String interfacesName) {
        this.interfacesName = interfacesName;
    }

    @Column(name = "INTERFACES_TYPE")
    public String getInterfacesType() {
        return interfacesType;
    }

    public void setInterfacesType(String interfacesType) {
        this.interfacesType = interfacesType;
    }

    @Column(name = "URL")
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Column(name = "IS_USE")
    public Boolean getUse() {
        return use;
    }

    public void setUse(Boolean use) {
        this.use = use;
    }

    @Column(name = "DESCRIBES")
    public String getDescribes() {
        return describes;
    }

    public void setDescribes(String describes) {
        this.describes = describes;
    }

    @Column(name = "ORDER_NUM")
    public int getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(int orderNum) {
        this.orderNum = orderNum;
    }

    @Column(name = "ORG_ID")
    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
