package am.lodge.platform.model;

import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author am
 */
@CrudBean(name = "orgUrlResource")
@Table(name = "SYS_ORG_URL_RESOURCE")
public class OrgUrlResource {

  private String orgId;

  private String urlResourceId;

  @Column(name = "ORG_ID")
  public String getOrgId() {
    return orgId;
  }

  public void setOrgId(String orgId) {
    this.orgId = orgId;
  }

  @Column(name = "URL_RESOURCE_ID")
  public String getUrlResourceId() {
    return urlResourceId;
  }

  public void setUrlResourceId(String urlResourceId) {
    this.urlResourceId = urlResourceId;
  }
}
