package am.lodge.platform.model;

import am.lodge.persistence.annotation.CrudBean;
import am.lodge.persistence.model.UUIDModel;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @Description:基础参数明细实体类
 * @Author: gl
 * @CreateDate: 2018/7/25 10:42
 * @UpdateUser:
 * @UpdateDate: 2018/7/25 10:42
 * @UpdateRemark:
 * @Version: 1.0
 */
@CrudBean(name = "paramsDetail")
@Table(name = "cd_params_detail")
public class ParamsDetail  extends UUIDModel {
    private String headId;      //基础参数目录id

    private String detailName; //明细名称

    private String describes;   //描述

    private String orgId;       //公司ID

    private Boolean enabled;   //是否可用 （false 不可用 true可用）

    private Integer orderNum;//排序

    private Integer col1;//预加列1

    private String col2;//预加列2

    @Column(name = "HEAD_ID")
    public String getHeadId() {
        return headId;
    }

    public void setHeadId(String headId) {
        this.headId = headId;
    }

    @Column(name = "DETAIL_NAME")
    public String getDetailName() {
        return detailName;
    }

    public void setDetailName(String detailName) {
        this.detailName = detailName;
    }

    @Column(name = "DESCRIBES")
    public String getDescribes() {
        return describes;
    }

    public void setDescribes(String describes) {
        this.describes = describes;
    }

    @Column(name = "ORG_ID")
    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    @Column(name = "ENABLED")
    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    @Column(name = "ORDER_NUM")
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    @Column(name = "COL1")
    public Integer getCol1() {
        return col1;
    }

    public void setCol1(Integer col1) {
        this.col1 = col1;
    }

    @Column(name = "COL2")
    public String getCol2() {
        return col2;
    }

    public void setCol2(String col2) {
        this.col2 = col2;
    }
}
