package am.lodge.platform.model;

import am.lodge.persistence.annotation.CrudBean;
import am.lodge.persistence.model.UUIDModel;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @Description:基础参数设置目录实体类
 * @Author: gl
 * @CreateDate: 2018/7/25 10:19
 * @UpdateUser:
 * @UpdateDate: 2018/7/25 10:19
 * @UpdateRemark:
 * @Version: 1.0
 */
@CrudBean(name = "paramsHead")
@Table(name = "cd_params_head")
public class ParamsHead extends UUIDModel {
    private String name;     //名称

    private String url;      //请求地址

    private Boolean enabled;//是否可用 （false不可用 true可用）

    private Integer orderNum;//排序

    @Column(name = "NAME")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "URL")
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Column(name = "ENABLED")
    public Boolean getEnabled() {
        return enabled;
    }

    public void setEnabled(Boolean enabled) {
        this.enabled = enabled;
    }

    @Column(name = "ORDER_NUM")
    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
}
