package am.lodge.platform.model;

import am.lodge.persistence.annotation.CrudBean;
import am.lodge.persistence.model.UUIDModel;

import javax.persistence.Column;
import javax.persistence.Table;

/**
 * @author am
 */
@CrudBean(name = "resourceApp")
@Table(name = "sys_app")
public class ResourceApp extends UUIDModel {
  private String name;

  private String devRootPath;

  private String prodRootPath;

  private Integer orderNum;

  private  String appType;

  @Column(name = "NAME")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  @Column(name = "DEV_ROOT_PATH")
  public String getDevRootPath() {
    return devRootPath;
  }

  public void setDevRootPath(String devRootPath) {
    this.devRootPath = devRootPath;
  }

  @Column(name = "PROD_ROOT_PATH")
  public String getProdRootPath() {
    return prodRootPath;
  }

  public void setProdRootPath(String prodRootPath) {
    this.prodRootPath = prodRootPath;
  }

  @Column(name = "ORDER_NUM")
  public Integer getOrderNum() {
    return orderNum;
  }

  public void setOrderNum(Integer orderNum) {
    this.orderNum = orderNum;
  }

  @Column(name = "APP_TYPE")
  public String getAppType() {
    return appType;
  }

  public void setAppType(String appType) {
    this.appType = appType;
  }
}
