package am.lodge.platform.model;

import am.lodge.base.model.BaseModel;
import am.lodge.persistence.annotation.CrudBean;

import javax.persistence.Column;
import javax.persistence.Table;
import java.math.BigDecimal;


@CrudBean(name = "Video")
@Table(name = "hz_video")
public class Video extends BaseModel {
    /* 类别ID*/
    private String typeId;
    /* 代码*/
    private String code;
    /* 名称*/
    private String name;
    /* 规格*/
    private String rule;
    /* 采购单价*/
    private BigDecimal purchasePrice;
    /* 销售单价*/
    private BigDecimal salesPrice;
    /* 加盟单价*/
    private BigDecimal joinPrice;
    /* 单位*/
    private String unit;
    /* 是否启用*/
    private Boolean use;
    /* 描述*/
    private String describes;
    /* 排序*/
    private int orderNum;
    /*关联校区*/
    private String orgId;

    private String typeName;

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Column(name = "TYPE_ID")
    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    @Column(name = "CODE")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "NAME")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    @Column(name = "RULE")
    public String getRule() {
        return rule;
    }

    public void setRule(String rule) {
        this.rule = rule;
    }

    @Column(name = "PURCHASE_PRICE")
    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    @Column(name = "SALES_PRICE")
    public BigDecimal getSalesPrice() {
        return salesPrice;
    }

    public void setSalesPrice(BigDecimal salesPrice) {
        this.salesPrice = salesPrice;
    }

    @Column(name = "IS_USE")
    public Boolean getUse() {
        return use;
    }

    public void setUse(Boolean use) {
        this.use = use;
    }

    @Column(name = "DESCRIBES")
    public String getDescribes() {
        return describes;
    }

    public void setDescribes(String describes) {
        this.describes = describes;
    }

    @Column(name = "JOIN_PRICE")
    public BigDecimal getJoinPrice() {
        return joinPrice;
    }

    public void setJoinPrice(BigDecimal joinPrice) {
        this.joinPrice = joinPrice;
    }

    @Column(name = "UNIT")
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Column(name = "ORDER_NUM")
    public int getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(int orderNum) {
        this.orderNum = orderNum;
    }

    @Column(name = "ORG_ID" )
    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }
}
