package am.lodge.security;

import am.lodge.model.User;

import javax.servlet.http.HttpServletRequest;

import static am.lodge.model.User.CURRENT_USER_KEY;

/**
 * @author am
 */
public final class LoginUtils {

  private LoginUtils() {

  }

  public static User getCurrentUser(HttpServletRequest request) {
    return (User)request.getSession().getAttribute(CURRENT_USER_KEY);
  }
}
